Gracefully shut down a runtime
const url = 'http://127.0.0.1:8080/v1/runtimes/example/stop';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://127.0.0.1:8080/v1/runtimes/example/stop \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Runtime UUID or display name.
Runtime UUID or display name.
Responses
Section titled “Responses”Response envelope.
Response envelope.
object
Runtime response object.
object
User-chosen display name.
Non-secret environment variables stored visibly on this runtime. Secret-derived variables are excluded. Names and values use the byte limits documented by CreateRuntimeRequest.environment_variables.
object
Egress policy.
object
Egress gateway mode.
Host names or wildcard patterns allowed in allowlist mode.
Host names or wildcard patterns denied in denylist mode.
Whether official LLM HTTP API tool input/output capture is enabled.
Canonical LLM tool-output compression policy.
object
Runtime idle suspension and automatic wakeup policy.
object
Disable automatic idle suspension and wakeup.
object
Automatically suspend an idle runtime, but require an explicit Start to wake it.
object
Idle duration before automatic suspension.
Automatically suspend an idle runtime and wake it on supported activity.
object
Idle duration before automatic suspension.
Stable runtime UUID.
RFC3339 timestamp when the control-plane runtime row was created.
RFC3339 timestamp of the last control-plane runtime row mutation.
Active ingress specs.
Public ingress forwarding rule.
object
Application-layer protocol.
Port inside the runtime VM.
Runtime resource state.
object
Current resource allocation.
object
Current memory allocation in MiB.
Resource limits.
object
Maximum memory in MiB.
Resource requests.
object
Requested baseline memory in MiB.
Requested virtual CPUs.
Runtime-scoped agent setup metadata.
object
Agent manifest key.
Agent setup status.
Runtime-local setup log path.
Last setup error, if any.
RFC3339 timestamp of the last setup state change.
Runtime status.
Whether this runtime supports SSH access.
Example
{ "data": { "egress_policy": { "mode": "denylist" }, "idle_policy": { "mode": "disabled" }, "ingress_specs": [ { "protocol": "http" } ], "agent": { "status": "queued" }, "status": "running" }}Missing, malformed, or rejected bearer token
object
object
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
object
object
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
object
object
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
object
object
Example
{ "error": { "code": "already_exists" }}Validation or application error
object
object
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
object
object
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
object
object
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
object
object
Example
{ "error": { "code": "already_exists" }}default
Section titled “default”Error response
object
object
Example
{ "error": { "code": "already_exists" }}